id14
Verified User
- Joined
- Aug 3, 2019
- Messages
- 28
After I did update MariaDB to 10.4.12 I noticed errors during the nightly backups.
I tried to restart MariaDB but it did not restart and after :
systemctl status mariadb.service I got :
The strange thing is MariaDB is in fact still running and sites with databases are still working.
Any idea what the cause could be and how to fix this?
Thanks in advance
Code:
Error while backing up database database_name
mysqldump error output: mysqldump: Couldn't execute 'show fields from `bookings`': Can't create/write to file '/tmp/#sql_4a3a_0.MAI' (Errcode: 2 "No such file or directory") (1)
I tried to restart MariaDB but it did not restart and after :
systemctl status mariadb.service I got :
Code:
systemctl status mariadb.service
● mariadb.service - MariaDB database server
Loaded: loaded (/etc/systemd/system/mariadb.service; enabled; vendor preset: disabled)
Drop-In: /etc/systemd/system/mariadb.service.d
└─migrated-from-my.cnf-settings.conf
Active: failed (Result: exit-code) since Fri 2020-01-31 13:02:41 CET; 45s ago
Process: 7982 ExecStart=/usr/sbin/mysqld $MYSQLD_OPTS $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION (code=exited, status=1/FAILURE)
Process: 7968 ExecStartPre=/bin/sh -c [ -x /usr/bin/galera_recovery ] || exit 0; VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ] && systemctl set-environment _WSREP_START_POSITION=$VAR || exit 1 (code=exited, status=0/SUCCESS)
Process: 7966 ExecStartPre=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
Main PID: 7982 (code=exited, status=1/FAILURE)
Status: "MariaDB server is down"
CGroup: /system.slice/mariadb.service
└─19002 /usr/sbin/mysqld
mysqld[7982]: 2020-01-31 13:02:41 0 [ERROR] Plugin 'InnoDB' init function returned error.
mysqld[7982]: 2020-01-31 13:02:41 0 [ERROR] Plugin 'InnoDB' registration as a STORAGE ENGINE failed.
mysqld[7982]: 2020-01-31 13:02:41 0 [Note] Plugin 'FEEDBACK' is disabled.
mysqld[7982]: 2020-01-31 13:02:41 0 [ERROR] Could not open mysql.plugin table. Some plugins may be not loaded
mysqld[7982]: 2020-01-31 13:02:41 0 [ERROR] Failed to initialize plugins.
mysqld[7982]: 2020-01-31 13:02:41 0 [ERROR] Aborting
systemd[1]: mariadb.service: main process exited, code=exited, status=1/FAILURE
systemd[1]: Failed to start MariaDB database server.
systemd[1]: Unit mariadb.service entered failed state.
systemd[1]: mariadb.service failed.
The strange thing is MariaDB is in fact still running and sites with databases are still working.
Any idea what the cause could be and how to fix this?
Thanks in advance